Skip to main content
GET
/
model-monitor
/
v2
/
api
/
model
Model Operations.
curl --request GET \
  --url https://api.example.com/model-monitor/v2/api/model \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "name": "<string>",
  "version": "<string>",
  "id": "<string>",
  "createdAt": 123,
  "updatedAt": 123,
  "userId": "<string>",
  "isDeleted": true,
  "description": "<string>",
  "author": "<string>",
  "dateCreated": 123,
  "sourceDetails": {
    "workbenchModelId": "<string>",
    "workbenchModelVersionId": "<string>"
  },
  "ownerUsername": "<string>",
  "ownerEmail": "<string>",
  "ownerName": "<string>",
  "tags": [
    {
      "id": "<string>",
      "tagName": "<string>"
    }
  ],
  "collaborators": [
    {
      "userId": "<string>"
    }
  ],
  "permissions": {
    "canRegisterDataset": true,
    "canUpdateMonitoringSettings": true,
    "canEditPermissions": true
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

model_id
string
workbench_model_version_id
string

Response

Successfully fetched the Model.

Model Config to be used to register a model with DMM.

name
string
required

Name of the Model.

modelType
enum<string>
required

Type of the Model.

Available options:
classification,
regression
version
string
required

Version of the Model.

id
string
required

Model Identifier.

createdAt
integer
required

Creation timestamp of the Model.

updatedAt
integer
required

Last update timestamp for the Model.

userId
string
required

Id of the model owner, who created the model.

ingestionStatus
enum<string>
required

Dataset Ingestion status for a model.

Available options:
created,
training,
prediction,
ground_truth
registrationStatus
enum<string>
required

Registration status of a model.

Available options:
draft,
created,
deleted
isDeleted
boolean
required

Whether the model is deleted or not.

description
string

Description for the Model.

author
string

Author of the Model.

dateCreated
integer | null

The creation date of the model.

sourceType
enum<string>

Source for the model registration.

Available options:
domino_workbench,
standalone
sourceDetails
Domino Workbench model's details. · object

Model details associated with a Domino workbench model.

ownerUsername
string

username of the model owner, who created the model.

ownerEmail
string

email of the model owner, who created the model.

ownerName
string

name of the model owner, who created the model.

tags
Model Tag · object[]

List of tags associated with the model

visibility
enum<string>

Model visibility

Available options:
public,
private
collaborators
object[]
permissions
Model Permissions · object

Permission metadata required for a model response